AbstractProduct

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class AbstractProduct

    java.lang.Object
      com.fenalco.entities.AbstractProduct

Direct Known Subclasses:
  OrderProduct, QuoteProduct, ShoppingCartProduct, ShoppingListProduct

    public abstract class AbstractProduct

extends java.lang.Object

Esta clase representa un producto abstracto, los productos concretos deben extenderla y adicionarle le funcionalidad requerida asi como los métodos para acceder a la base de datos

Author:
  andres

Field Summary
`protected java.lang.String` | `code`
`protected java.lang.String` | `name`
`protected PriceScale` | `price`
`protected int` | `quantity`
`protected int` | `supplierId`
`protected java.lang.String` | `supplierName`
`protected int` | `supplierProductId`
`protected int` | `tableId`

Constructor Summary
`AbstractProduct()`

Method Summary
`abstract boolean` | `delete(Transaction transaction)` elimina el producto de la base de datos creando la instrucción sql y la pasa a la transacción
`java.lang.String` | `getCode()` Getter for property code.
`java.lang.String` | `getName()` Getter for property name.
`double` | `getPrice()` Getter for property price.
`int` | `getQuantity()` Getter for property quantity.
`int` | `getSupplierId()` Getter for property supplierId.
`java.lang.String` | `getSupplierName()` Getter for property supplierName.
`int` | `getSupplierProductId()` Getter for property supplierProductId.
`int` | `getTableId()` Getter for property tableId.
`abstract boolean` | `loadData(int id)` Carga los datos del producto de la base de datos a partir del id del producto en la tabla necesaria
`abstract boolean` | `saveData(Transaction transaction)` almacena los datos del producto en la base de datos construyendo la sentencia sql necesaria y adicionandola a la transacción.
`void` | `setCode(java.lang.String code)` Setter for property code.
`void` | `setName(java.lang.String name)` Setter for property name.
`void` | `setPrice(PriceScale price)` Setter for property price.
`void` | `setQuantity(int quantity)` Setter for property quantity.
`void` | `setSupplierId(int supplierId)` Setter for property supplierId.
`void` | `setSupplierName(java.lang.String supplierName)` Setter for property supplierName.
`void` | `setSupplierProductId(int supplierProductId)` Setter for property supplierProductId.
`void` | `setTableId(int tableId)` Setter for property tableId.
`abstract boolean` | `update(Transaction transaction)` actualiza el producto en la base de datos construyendo la instrucción sql y pasandola a la transacción

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tableId

    protected int tableId

### supplierProductId

    protected int supplierProductId

### supplierId

    protected int supplierId

### supplierName

    protected java.lang.String supplierName

### code

    protected java.lang.String code

### name

    protected java.lang.String name

### quantity

    protected int quantity

### price

    protected PriceScale price

Constructor Detail

### AbstractProduct

    public AbstractProduct()

Method Detail

### loadData

    public abstract boolean loadData(int id)

  Carga los datos del producto de la base de datos a partir del id del producto en la tabla necesaria

  Parameters:
    `id` - identificador del producto en la tabla necesaria
  Returns:
    booleano que indica si se pudo cargar el producto o no

### saveData

    public abstract boolean saveData(Transaction transaction)

  almacena los datos del producto en la base de datos construyendo la sentencia sql necesaria y adicionandola a la transacción.

  Parameters:
    `transaction` - la transacción que se está ejecutando
  Returns:
    boolenao que indica si la operación se realizó con éxito

### update

    public abstract boolean update(Transaction transaction)

  actualiza el producto en la base de datos construyendo la instrucción sql y pasandola a la transacción

  Parameters:
    `transaction` - la transacción que se está ejecutando
  Returns:
    booleano que indica si la operación se pudo ejecutar o no

### delete

    public abstract boolean delete(Transaction transaction)

  elimina el producto de la base de datos creando la instrucción sql y la pasa a la transacción

  Parameters:
    `transaction` - la transacción que se está ejecutando
  Returns:
    booleano que indica si se pudo ejecutar la operación o no

### getName

    public java.lang.String getName()

  Getter for property name.

  Returns:
    Value of property name.

### setName

    public void setName(java.lang.String name)

  Setter for property name.

  Parameters:
    `name` - New value of property name.

### getQuantity

    public int getQuantity()

  Getter for property quantity.

  Returns:
    Value of property quantity.

### setQuantity

    public void setQuantity(int quantity)

  Setter for property quantity.

  Parameters:
    `quantity` - New value of property quantity.

### getPrice

    public double getPrice()

  Getter for property price.

  Returns:
    Value of property price.

### setPrice

    public void setPrice(PriceScale price)

  Setter for property price.

  Parameters:
    `price` - New value of property price.

### getCode

    public java.lang.String getCode()

  Getter for property code.

  Returns:
    Value of property code.

### setCode

    public void setCode(java.lang.String code)

  Setter for property code.

  Parameters:
    `code` - New value of property code.

### getTableId

    public int getTableId()

  Getter for property tableId.

  Returns:
    Value of property tableId.

### setTableId

    public void setTableId(int tableId)

  Setter for property tableId.

  Parameters:
    `tableId` - New value of property tableId.

### getSupplierProductId

    public int getSupplierProductId()

  Getter for property supplierProductId.

  Returns:
    Value of property supplierProductId.

### setSupplierProductId

    public void setSupplierProductId(int supplierProductId)

  Setter for property supplierProductId.

  Parameters:
    `supplierProductId` - New value of property supplierProductId.

### getSupplierId

    public int getSupplierId()

  Getter for property supplierId.

  Returns:
    Value of property supplierId.

### setSupplierId

    public void setSupplierId(int supplierId)

  Setter for property supplierId.

  Parameters:
    `supplierId` - New value of property supplierId.

### getSupplierName

    public java.lang.String getSupplierName()

  Getter for property supplierName.

  Returns:
    Value of property supplierName.

### setSupplierName

    public void setSupplierName(java.lang.String supplierName)

  Setter for property supplierName.

  Parameters:
    `supplierName` - New value of property supplierName.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD